The Stock Ledger Entry object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

item_code string
serial_no string
batch_no string
warehouse string
posting_date string
posting_time string
voucher_type string
voucher_no string
voucher_detail_no string
actual_qty number
incoming_rate number
outgoing_rate number
stock_uom string
qty_after_transaction number
valuation_rate number
stock_value number
stock_value_difference number
stock_queue string
project string
company string
fiscal_year string
is_cancelled boolean

Default: false

to_rename boolean

Default: true

dependant_sle_voucher_detail_no string
recalculate_rate boolean

Default: false

serial_and_batch_bundle string
has_batch_no boolean

Default: false

has_serial_no boolean

Default: false

is_adjustment_entry boolean

Default: false

auto_created_serial_and_batch_bundle boolean

Default: false

posting_datetime string
The Stock Ledger Entry object
{
  "id": "stock-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "actual_qty": 0,
  "incoming_rate": 0,
  "outgoing_rate": 0,
  "stock_uom": "stock_uom_example",
  "qty_after_transaction": 0,
  "valuation_rate": 0,
  "stock_value": 0,
  "stock_value_difference": 0,
  "stock_queue": "stock_queue_example",
  "project": "project_example",
  "company": "Example Corp",
  "fiscal_year": "fiscal_year_example",
  "is_cancelled": false,
  "to_rename": true,
  "dependant_sle_voucher_detail_no": "dependant_sle_voucher_detail_no_example",
  "recalculate_rate": false,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "has_batch_no": false,
  "has_serial_no": false,
  "is_adjustment_entry": false,
  "auto_created_serial_and_batch_bundle": false,
  "posting_datetime": "2024-01-15"
}
GET /api/stock/stock-ledger-entry/{id}

Retrieve a stock ledger entry

Retrieves the details of an existing stock ledger entry. Supply the unique stock ledger entry ID that was returned from a previous request.

Path parameters

id string required

The identifier of the stock ledger entry to retrieve.

Returns

Returns the stock ledger entry object if a valid identifier was provided.

GET /api/stock/stock-ledger-entry/{id}
curl https://api.overplane.dev/api/stock/stock-ledger-entry/stock-ledger-entry_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "stock-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "actual_qty": 0,
  "incoming_rate": 0,
  "outgoing_rate": 0,
  "stock_uom": "stock_uom_example",
  "qty_after_transaction": 0,
  "valuation_rate": 0,
  "stock_value": 0,
  "stock_value_difference": 0,
  "stock_queue": "stock_queue_example",
  "project": "project_example",
  "company": "Example Corp",
  "fiscal_year": "fiscal_year_example",
  "is_cancelled": false,
  "to_rename": true,
  "dependant_sle_voucher_detail_no": "dependant_sle_voucher_detail_no_example",
  "recalculate_rate": false,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "has_batch_no": false,
  "has_serial_no": false,
  "is_adjustment_entry": false,
  "auto_created_serial_and_batch_bundle": false,
  "posting_datetime": "2024-01-15"
}
GET /api/stock/stock-ledger-entry

List all stock ledger entrys

Returns a list of stock ledger entrys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of stock ledger entry objects.

GET /api/stock/stock-ledger-entry
curl https://api.overplane.dev/api/stock/stock-ledger-entry \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "stock-ledger-entry_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "item_code": "item_code_example",
      "serial_no": "serial_no_example",
      "batch_no": "batch_no_example",
      "warehouse": "warehouse_example",
      "posting_date": "2024-01-15",
      "posting_time": "posting_time_example",
      "voucher_type": "voucher_type_example",
      "voucher_no": "voucher_no_example",
      "voucher_detail_no": "voucher_detail_no_example",
      "actual_qty": 0,
      "incoming_rate": 0,
      "outgoing_rate": 0,
      "stock_uom": "stock_uom_example",
      "qty_after_transaction": 0,
      "valuation_rate": 0,
      "stock_value": 0,
      "stock_value_difference": 0,
      "stock_queue": "stock_queue_example",
      "project": "project_example",
      "company": "Example Corp",
      "fiscal_year": "fiscal_year_example",
      "is_cancelled": false,
      "to_rename": true,
      "dependant_sle_voucher_detail_no": "dependant_sle_voucher_detail_no_example",
      "recalculate_rate": false,
      "serial_and_batch_bundle": "serial_and_batch_bundle_example",
      "has_batch_no": false,
      "has_serial_no": false,
      "is_adjustment_entry": false,
      "auto_created_serial_and_batch_bundle": false,
      "posting_datetime": "2024-01-15"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/stock-ledger-entry

Create a stock ledger entry

Creates a new stock ledger entry object.

Body parameters

status string

Default: draft

item_code string
serial_no string
batch_no string
warehouse string
posting_date string
posting_time string
voucher_type string
voucher_no string
voucher_detail_no string
actual_qty number
incoming_rate number
outgoing_rate number
stock_uom string
qty_after_transaction number
valuation_rate number
stock_value number
stock_value_difference number
stock_queue string
project string
company string
fiscal_year string
is_cancelled boolean

Default: false

to_rename boolean

Default: true

dependant_sle_voucher_detail_no string
recalculate_rate boolean

Default: false

serial_and_batch_bundle string
has_batch_no boolean

Default: false

has_serial_no boolean

Default: false

is_adjustment_entry boolean

Default: false

auto_created_serial_and_batch_bundle boolean

Default: false

posting_datetime string

Returns

Returns the newly created stock ledger entry object if the call succeeded.

POST /api/stock/stock-ledger-entry
curl https://api.overplane.dev/api/stock/stock-ledger-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "stock-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "actual_qty": 0,
  "incoming_rate": 0,
  "outgoing_rate": 0,
  "stock_uom": "stock_uom_example",
  "qty_after_transaction": 0,
  "valuation_rate": 0,
  "stock_value": 0,
  "stock_value_difference": 0,
  "stock_queue": "stock_queue_example",
  "project": "project_example",
  "company": "Example Corp",
  "fiscal_year": "fiscal_year_example",
  "is_cancelled": false,
  "to_rename": true,
  "dependant_sle_voucher_detail_no": "dependant_sle_voucher_detail_no_example",
  "recalculate_rate": false,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "has_batch_no": false,
  "has_serial_no": false,
  "is_adjustment_entry": false,
  "auto_created_serial_and_batch_bundle": false,
  "posting_datetime": "2024-01-15"
}
PATCH /api/stock/stock-ledger-entry/{id}

Update a stock ledger entry

Updates the specified stock ledger entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the stock ledger entry to update.

Body parameters

status string

Default: draft

item_code string
serial_no string
batch_no string
warehouse string
posting_date string
posting_time string
voucher_type string
voucher_no string
voucher_detail_no string
actual_qty number
incoming_rate number
outgoing_rate number
stock_uom string
qty_after_transaction number
valuation_rate number
stock_value number
stock_value_difference number
stock_queue string
project string
company string
fiscal_year string
is_cancelled boolean

Default: false

to_rename boolean

Default: true

dependant_sle_voucher_detail_no string
recalculate_rate boolean

Default: false

serial_and_batch_bundle string
has_batch_no boolean

Default: false

has_serial_no boolean

Default: false

is_adjustment_entry boolean

Default: false

auto_created_serial_and_batch_bundle boolean

Default: false

posting_datetime string

Returns

Returns the updated stock ledger entry object.

PATCH /api/stock/stock-ledger-entry/{id}
curl https://api.overplane.dev/api/stock/stock-ledger-entry/stock-ledger-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","item_code":"item_code_example"}'
Response
{
  "id": "stock-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "actual_qty": 0,
  "incoming_rate": 0,
  "outgoing_rate": 0,
  "stock_uom": "stock_uom_example",
  "qty_after_transaction": 0,
  "valuation_rate": 0,
  "stock_value": 0,
  "stock_value_difference": 0,
  "stock_queue": "stock_queue_example",
  "project": "project_example",
  "company": "Example Corp",
  "fiscal_year": "fiscal_year_example",
  "is_cancelled": false,
  "to_rename": true,
  "dependant_sle_voucher_detail_no": "dependant_sle_voucher_detail_no_example",
  "recalculate_rate": false,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "has_batch_no": false,
  "has_serial_no": false,
  "is_adjustment_entry": false,
  "auto_created_serial_and_batch_bundle": false,
  "posting_datetime": "2024-01-15"
}
DELETE /api/stock/stock-ledger-entry/{id}

Delete a stock ledger entry

Permanently deletes a stock ledger entry. This cannot be undone.

Path parameters

id string required

The identifier of the stock ledger entry to delete.

Returns

Returns a confirmation that the stock ledger entry has been deleted.

DELETE /api/stock/stock-ledger-entry/{id}
curl https://api.overplane.dev/api/stock/stock-ledger-entry/stock-ledger-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "stock-ledger-entry_abc123",
  "deleted": true
}
POST /api/stock/stock-ledger-entry/{id}/submit

Submit a stock ledger entry

Submits a draft stock ledger entry, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the stock ledger entry to act on.

Returns

Returns the stock ledger entry object with updated status.

POST /api/stock/stock-ledger-entry/{id}/submit
curl https://api.overplane.dev/api/stock/stock-ledger-entry/stock-ledger-entry_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "stock-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "actual_qty": 0,
  "incoming_rate": 0,
  "outgoing_rate": 0,
  "stock_uom": "stock_uom_example",
  "qty_after_transaction": 0,
  "valuation_rate": 0,
  "stock_value": 0,
  "stock_value_difference": 0,
  "stock_queue": "stock_queue_example",
  "project": "project_example",
  "company": "Example Corp",
  "fiscal_year": "fiscal_year_example",
  "is_cancelled": false,
  "to_rename": true,
  "dependant_sle_voucher_detail_no": "dependant_sle_voucher_detail_no_example",
  "recalculate_rate": false,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "has_batch_no": false,
  "has_serial_no": false,
  "is_adjustment_entry": false,
  "auto_created_serial_and_batch_bundle": false,
  "posting_datetime": "2024-01-15"
}
POST /api/stock/stock-ledger-entry/{id}/cancel

Cancel a stock ledger entry

Cancels a submitted stock ledger entry, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the stock ledger entry to act on.

Returns

Returns the stock ledger entry object with updated status.

POST /api/stock/stock-ledger-entry/{id}/cancel
curl https://api.overplane.dev/api/stock/stock-ledger-entry/stock-ledger-entry_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "stock-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "warehouse": "warehouse_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "actual_qty": 0,
  "incoming_rate": 0,
  "outgoing_rate": 0,
  "stock_uom": "stock_uom_example",
  "qty_after_transaction": 0,
  "valuation_rate": 0,
  "stock_value": 0,
  "stock_value_difference": 0,
  "stock_queue": "stock_queue_example",
  "project": "project_example",
  "company": "Example Corp",
  "fiscal_year": "fiscal_year_example",
  "is_cancelled": false,
  "to_rename": true,
  "dependant_sle_voucher_detail_no": "dependant_sle_voucher_detail_no_example",
  "recalculate_rate": false,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "has_batch_no": false,
  "has_serial_no": false,
  "is_adjustment_entry": false,
  "auto_created_serial_and_batch_bundle": false,
  "posting_datetime": "2024-01-15"
}